io.vertx.rxjava.rabbitmq

## Class RabbitMQMessage

- java.lang.Object
- - io.vertx.rxjava.rabbitmq.RabbitMQMessage

-     public class RabbitMQMessage
      extends Object

  Represent a message received message received in a rabbitmq-queue.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static <any>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RabbitMQMessage(RabbitMQMessage delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `body()`
    `String` | `consumerTag()`
    `Envelope` | `envelope()`
    `boolean` | `equals(Object o)`
    `RabbitMQMessage` | `getDelegate()`
    `int` | `hashCode()`
    `static RabbitMQMessage` | `newInstance(RabbitMQMessage arg)`
    `BasicProperties` | `properties()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final <any> __TYPE_ARG

  - ### Constructor Detail

    - #### RabbitMQMessage

          public RabbitMQMessage(RabbitMQMessage delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RabbitMQMessage getDelegate()

    - #### body

          public Buffer body()

      Returns:
        the message body

    - #### consumerTag

          public String consumerTag()

      Returns:
        the consumer tag associated with the consumer

    - #### envelope

          public Envelope envelope()

      Returns:
        packaging data for the message

    - #### properties

          public BasicProperties properties()

      Returns:
        content header data for the message

    - #### newInstance

          public static RabbitMQMessage newInstance(RabbitMQMessage arg)

Copyright © 2018 Eclipse. All rights reserved.